#!/bin/bash

mkdir -p timetrack/var/lib

cd ..
./gradlew clean build

G=$(grep "^version =" build.gradle | sed -e "s/version = //g" | sed -e "s/'//g")

echo "found version $G"

cp -v build/libs/timetrack-$G.jar debian/timetrack/var/lib/timetrack.jar

cd debian

sed -i timetrack/DEBIAN/control -e "s/Version: */Version: $G/"

V=$(grep "Version" timetrack/DEBIAN/control | sed -e "s/Version: //g")

fakeroot dpkg -b timetrack timetrack_$V.deb
